Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223871 - LTC31217-Errors and failure when using hts submit
Summary: LTC31217-Errors and failure when using hts submit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 20:34 UTC by Issue Tracker
Modified: 2008-07-16 21:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 16:01:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
.spec file requested in the last comment (deleted)
2007-02-06 19:19 UTC, Adam Sheltz
no flags Details
output results from rpmbuild -bb (deleted)
2007-02-06 19:20 UTC, Adam Sheltz
no flags Details

Description Issue Tracker 2007-01-22 20:34:27 UTC
Escalated to Bugzilla from IssueTracker

Comment 7 Greg Nichols 2007-01-29 20:03:05 UTC
(In reply to comment #5)
>  Is the src rpm install and rpmbuild a  required step [?]

No, it is not.





Comment 8 Greg Nichols 2007-01-29 20:18:03 UTC
Fixed R22: improved error handing, changed hts so that results are only deleted
on successful generation of the results package.

Comment 9 Adam Sheltz 2007-01-30 15:33:51 UTC
When will version 22 be available to RH Partners? 

Comment 14 Greg Nichols 2007-02-06 17:49:00 UTC
Following the failure of hts submit, please run:

rpmbuild -bb /usr/share/hts/lib/hts-results-rpm.spec 

Also, attach /usr/share/hts/lib/hts-results-rpm.spec

- Thanks!

Comment 15 Adam Sheltz 2007-02-06 19:19:22 UTC
Created attachment 147507 [details]
.spec file requested in the last comment

Attached you will find the spec file.

Comment 16 Adam Sheltz 2007-02-06 19:20:39 UTC
Created attachment 147508 [details]
output results from rpmbuild -bb

Attached you will find the output for the rpmbuild -bb command.

Comment 17 Greg Nichols 2007-02-07 02:54:32 UTC
HTS generated results package name contained [ ] characters.

Fixed R24.

Comment 20 Adam Sheltz 2007-02-08 17:29:54 UTC
Can I just delete those chars from plan.xml in the name secion?

Comment 21 Adam Sheltz 2007-02-08 17:30:18 UTC
secion = section

Comment 22 Greg Nichols 2007-02-08 18:23:44 UTC
Yes, that should work - check <vendor> and <model> under <hardware> in
/var/hts/results.xml.




Note You need to log in before you can comment on or make changes to this bug.